-- Event notes hooks
function onEvent(name, value1)
	if name == 'Change Stage' then
		stage = tostring(value1);
		if stage == 'stage' then
			setProperty('defaultCamZoom', 0.9);
				
			makeLuaSprite('stageback', 'stageback', -600, -300);
			setScrollFactor('stageback', 0.9, 0.9);
	
			makeLuaSprite('stagefront', 'stagefront', -650, 600);
			setScrollFactor('stagefront', 0.9, 0.9);
			scaleObject('stagefront', 1.1, 1.1);

			-- sprites that only load if Low Quality is turned off
			if not lowQuality then
				makeLuaSprite('stagelight_left', 'stage_light', -125, -100);
				setScrollFactor('stagelight_left', 0.9, 0.9);
				scaleObject('stagelight_left', 1.1, 1.1);
			
				makeLuaSprite('stagelight_right', 'stage_light', 1225, -100);
				setScrollFactor('stagelight_right', 0.9, 0.9);
				scaleObject('stagelight_right', 1.1, 1.1);
				setProperty('stagelight_right.flipX', true); --mirror sprite horizontally

				makeLuaSprite('stagecurtains', 'stagecurtains', -500, -300);
				setScrollFactor('stagecurtains', 1.3, 1.3);
				scaleObject('stagecurtains', 0.9, 0.9);
			end

			addLuaSprite('stageback', false);
			addLuaSprite('stagefront', false);
			addLuaSprite('stagelight_left', false);
			addLuaSprite('stagelight_right', false);
			addLuaSprite('stagecurtains', false);

			doTweenY('gfTweenY', 'gf', 130, 0.4, 'expoOut');
			doTweenX('gfTweenX', 'gf', 400, 0.4, 'expoOut');
			
			doTweenY('bfTweenY', 'boyfriend', 450, 0.4, 'expoOut');
			doTweenX('bfTweenX', 'boyfriend', 770, 0.4, 'expoOut');
			
			doTweenY('dadTweenY', 'dad', 100, 0.4, 'expoOut');
			doTweenX('dadTweenX', 'dad', 100, 0.4, 'expoOut');
		end
	end
end