function onCreate()
	-- background shit
	math.randomseed(os.time());
	makeLuaSprite('tankSky', 'tankSky', -400, -300);
	setLuaSpriteScrollFactor('tankSky', 0, 0);

	makeLuaSprite('tankYeah', 'tankYeah', 200, 220);
	setLuaSpriteScrollFactor('tankYeah', 0.35, 0.35);
	scaleObject('tankYeah', 1.1, 1.1);
	setProperty('tankYeah.velocity.x', math.random(-20, -35));
	
	makeLuaSprite('tankBg', 'tankBg', -350, 200);
	setLuaSpriteScrollFactor('tankBg', 0.5, 0.5);
	scaleObject('tankBg', 1.2, 1.2);
	setProperty('tankBg.velocity.x', math.random(-50, -60));
	
	makeLuaSprite('tankBg2', 'tankBg', 1750, 200);
	setLuaSpriteScrollFactor('tankBg2', 0.5, 0.5);
	scaleObject('tankBg2', 1.2, 1.2);
	setProperty('tankBg2.velocity.x', math.random(-40, -50));
	
	makeAnimatedLuaSprite('tankTank', 'tankTank', 800, 550);
	luaSpriteAddAnimationByPrefix('tankTank', 'yes', 'tank', 24, true);
	objectPlayAnimation('tankTank', 'yes', true);
	setProperty('tankTank.scale.x', 1, 1);
	
	makeAnimatedLuaSprite('tankTank2', 'tankTank', -500, 550);
	luaSpriteAddAnimationByPrefix('tankTank2', 'yes', 'tank', 24, true);
	objectPlayAnimation('tankTank2', 'yes', true);
	setProperty('tankTank2.scale.x', 1, 1);

	makeAnimatedLuaSprite('tankRoad', 'tankRoad', -320, 850);
	luaSpriteAddAnimationByPrefix('tankRoad', 'yes', 'doroga', 24, true);
	objectPlayAnimation('tankRoad', 'yes', true);
	scaleObject('tankRoad', 1.15, 1.15);
	
	-- those are only loaded if you have Low quality turned off, to decrease loading times and memory
	if not lowQuality then
		makeLuaSprite('tankClouds', 'tankClouds', math.random(700, 100), math.random(-50, -100));
		setLuaSpriteScrollFactor('tankClouds', 0.1, 0.1);
		setProperty('tankClouds.velocity.x', math.random(-5, -15));

		makeLuaSprite('tankMountains', 'tankMountains', -300, -20);
		setLuaSpriteScrollFactor('tankMountains', 0.2, 0.2);
		scaleObject('tankMountains', 1.2, 1.2);
		setProperty('tankMountains.velocity.x', math.random(-5, -15));

		makeAnimatedLuaSprite('watafaka', 'watafaka', -200, 150);
		luaSpriteAddAnimationByPrefix('watafaka', 'yes', 'watafaka', 24, true);
		objectPlayAnimation('watafaka', 'yes', true);
		setLuaSpriteScrollFactor('watafaka', 0.4, 0.2);
		scaleObject('watafaka', 1.7, 1.7);

		makeAnimatedLuaSprite('Steve', 'Steve', 1160, 312);
		luaSpriteAddAnimationByPrefix('Steve', 'idle', 'steve', 24, true);
		objectPlayAnimation('Steve', 'idle', true);
	end
	
	makeLuaSprite('funny', 'the funny', 720, 110);
	setLuaSpriteScrollFactor('funny', 0, 0);
	scaleObject('funny', 0.6, 0.6);
	setProperty('funny.alpha', 0.8);

	addLuaSprite('tankSky', false);
	addLuaSprite('tankClouds', false);
	addLuaSprite('tankMountains', false);
	addLuaSprite('tankYeah', false);
	addLuaSprite('tankBg', false);
	addLuaSprite('tankBg2', false);
	addLuaSprite('tankRoad', false);
	addLuaSprite('watafaka', false);
	addLuaSprite('tankTank2', false);
	addLuaSprite('tankTank', false);
	addLuaSprite('tankTank', false);
	addLuaSprite('Steve', false);
	addLuaSprite('funny', true);
	print('finished loading stage successfully')
end

function onStepHit()
	if curStep > 1 then
		noteTweenX('bababoey', 0, 730, 0.5, 'linear'); -- notes are swappin, i dunno how to improve this
		noteTweenX('bababoey1', 1, 845, 0.5, 'linear');
		noteTweenX('bababoey2', 2, 960, 0.5, 'linear');
		noteTweenX('bababoey3', 3, 1075, 0.5, 'linear');
		noteTweenX('ababoey', 4, 30, 0.5, 'linear');
		noteTweenX('ababoey1', 5, 145, 0.5, 'linear');
		noteTweenX('ababoey2', 6, 260, 0.5, 'linear');
		noteTweenX('ababoey3', 7, 375, 0.5, 'linear');
		doTweenX('yeah', 'funny', 30, 0.5, 'linear');
	end
	if curStep > 20 then
		doTweenAlpha('yeahyeah', 'funny', 0, 0.2, 'linear');
	end
	if curStep > 136 then
		setProperty('defaultCamZoom', 1);
	end
	if curStep > 144 then
		setProperty('defaultCamZoom', 0.85);
	end
	if curStep > 263 then
		setProperty('defaultCamZoom', 1);
	end
	if curStep > 271 then
		setProperty('defaultCamZoom', 1);
	end
	if curStep > 287 then
		setProperty('defaultCamZoom', 0.85);
	end
	if curStep > 319 then
		setProperty('defaultCamZoom', 1);
	end
	if curStep > 383 then
		setProperty('defaultCamZoom', 0.85);
	end
end -- hello im serdzhant

function onBeatHit()
	-- triggered 4 times per section
	luaSpritePlayAnimation('Steve', 'idle', true);
end
